*If(strcmp(MatProp(Concrete_Type(ACI)),"Normal")==0)
   CONCRETE  1
*Else
   CONCRETE  3
*EndIf
   THICKNESS *MatProp(THICKNESS,Real)
*#
*If(strcmp(MatProp(Material_Prototype),"CCModelACI209R2")==0 || strcmp(MatProp(Material_Prototype),"CCModelCSA_S6_14")==0)
*Set Var CCModelACI209R2=1
*Else
*Set Var CCModelACI209R2=0
*EndIf
*If(oJdeoShell==1)
*# // pro nepouzite materialy
*loop materials *NotUsed *all
*Set Var oMat=tcl(TK_FindMaterialNumber *MatProp(0) *MatProp(0))
*If(oMat==oMujMat)
*#
   FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
*If(*CCModelACI209R2==1))
   FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus)
   FT28 *MatProp(Tension_Strength-FT,Real)
   GF28 *MatProp(Fracture_Energy-GF,Real) 
*EndIf    
*break
*EndIf
*End materials
*# // pro pouzite materialy
*loop materials *all
*Set Var oMat=tcl(TK_FindMaterialNumber *MatProp(0) *MatProp(0))
*If(oMat==oMujMat)
*#
  FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
*If(*CCModelACI209R2==1))
   FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus)
   FT28 *MatProp(Tension_Strength-FT,Real)
   GF28 *MatProp(Fracture_Energy-GF,Real) 
*EndIf     
*break
*EndIf
*End materials
*else
  FCYL28    *Operation(MatProp(Compresion_Strength-FC,Real)*SignMinus)
*If(*CCModelACI209R2==1))
   FCYL0_28 *Operation(MatProp(Onset_of_Crushing-FC0,Real)*SignMinus)
   FT28 *MatProp(Tension_Strength-FT,Real)
   GF28 *MatProp(Fracture_Energy-GF,Real) 
*EndIf     
*EndIf
*#       
*If(strcmp(MatProp(Material_Prototype),"CCModelCSA_S6_14")==0)
  DFCYL28  *MatProp(DFCYL28,Real)
*EndIf 
  HUMIDITY  *MatProp(HUMIDITY,Real)
  DENSITY   *MatProp(DENSITY,Real)
  AC        *MatProp(AC,Real)
  WC        *MatProp(WC,Real)
  *MatProp(CURING) CURING
  End OF CURING TIME *MatProp(End_OF_CURING_TIME,Real)
  DELTA_AGE  *MatProp(DELTA_AGE)
  AS *MatProp(AS,Real)
*If(strcmp(MatProp(Material_Prototype),"CCModelCSA_S6_14")!=0))
  SLUMP *MatProp(SLUMP,Real)
  AIR_CONTENT *MatProp(AIR_CONTENT,Real)  
*EndIf  

